// 分机管理接口
import request from '@/utils/request'
import qs from 'qs'

// 分机列表
export function phoneList(params) {
  return request({
    url: '/extensionPhone/listPage',
    method: 'get',
    params
  })
}

// 添加分机
export function addPhone(params) {
  return request({
    url: '/extensionPhone/add',
    method: 'post',
    params
  })
}
// 更新分机
export function updatePhone(params) {
  return request({
    url: '/extensionPhone/update',
    method: 'post',
    params
  })
}
// 删除分机
export function delPhone(id) {
  return request({
    url: '/extensionPhone/delete',
    method: 'post',
    params: {
      extensionPhoneId: id
    }
  })
}
// 绑定座席
export function bindSeats(phoneid, users) {
  return request({
    url: '/extensionPhone/bindUsers',
    method: 'post',
    params: {
      extensionPhoneId: phoneid,
      users: users
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
